Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Portmapper
Name:		portmap
Version:	6.0
Release:	3
Group:		Networking/Library
License:	GPL
Source:		%{name}-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-%{version}-install.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	/sbin/service
Requires:	tcp_wrappers
BuildRequires:	tcp_wrappers-devel

%description
Like all portmappers, this one is intended to be started at boot time.
Daemons that offer RPC services tell the portmapper on what port they
listen. Unlike the well-known services registered with the inetd, RPC
network port numbers may change each time the system is booted.
Whenever a client wants to use an RPC service it is supposed to first
ask the portmapper on what port the corresponding daemon is listening.
The rpcinfo command can tell you what RPC services your system offers.

%pre
# Add the "nobody" group
/usr/sbin/groupadd -g nobody 2> /dev/null || :
# Add the "portmap" user
/usr/sbin/useradd -c "Portmapper RPC User" -g nobody -s /sbin/nologin -d '/' portmap 2> /dev/null || :

%post
ldconfig
# Run portmap by default:
/sbin/chkconfig --add portmap >/dev/null 2>&1 || :;

%postun
ldconfig

%preun
# stopping services and remove them
/sbin/service portmap stop > /dev/null 2>&1 || :;
/sbin/chkconfig --del portmap >/dev/null 2>&1 || :;

%prep
%setup -n %{name}_%{version}
%patch0 -p1

%build
make 
# CC=gcc O="$CFLAGS -DHOST_ACESS" WRAP_LIB="-lwrap"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BASEDIR=$RPM_BUILD_ROOT

install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portmap
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portmap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BLURBv5 CHANGES README
%_sysconfdir
/sbin
%_mandir

%changelog
* Thu Nov 01 2007 Christian Wasem <wasem@ccux-linux.de> 6.0-3
- rebuild with corrected chkconfig runlevels
* Wed Aug 08 2007 Christian Wasem <wasem@ccux-linux.de> 6.0-2
- specfile tuning ;-)
* Tue Aug 07 2007 Christian Wasem <wasem@ccux-linux.de> 6.0-1
- Version Update, added initscript functions
* Wed May 25 2005 Christian Metzen <metzench@ccux-linux.de> 5beta-4
- Modified init Script
* Wed May 25 2005 Christian Metzen <metzench@ccux-linux.de> 5beta-3
- Modified init Script
* Wed May 18 2005 Christian Metzen <metzench@ccux-linux.de> 5beta-2
- Tweaked Spec File, added new Summary, description, changelog
* Thu Mar 11 2005 Stefan Gottwald <sg3881@web.de> 5beta-1
- Initial Build